Subject: [Dots] DOTS: TLS 1.2 & TLS1.3

From: <[email-masked]>
Date: Thu, 16 Aug 2018 13:39:12 +0000

Hi Benjamin,

Now that RFC8446 is out and given that it obsoletes RFC5246, we need your advice on how to proceed to (hopefully) avoid breaking existing implementations while still encouraging for TLS 1.3. FWIW, the current situation is as follows:

*         Existing DOTS implementations relies on TLS 1.2.

*         The signal channel draft mandates TLS 1.2 or later.

*         The signal channel draft specifies a profile for (D)TLS 1.3. (DTLS 1.3 is still a draft)

Would it be OK if we maintain the current wording in the draft as it with some minor changes? (that is, only update TLS1.3 ID to RFC8446, remove reference to RFC5077, maintain RFC5246)

Thank you.

Cheers,
Med

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 16 Aug 2018 17:03:12 -0500

> *         The signal channel draft specifies a profile for (D)TLS 1.3. (DTLS 1.3 is still a draft)

All these are fine.

> Would it be OK if we maintain the current wording in the draft as it with some minor changes? (that is, only update TLS1.3 ID to RFC8446, remove reference to RFC5077, maintain RFC5246)

idnits (and thus the genart and probably other reviewers) will complain
about references to an obsoleted document, so I would try to minimize the
references to 5246 to just those that are actually specific to 1.2.  (For
example, when talking about fatal alerts, use Section 6 of 8446 instead of
Section 7.2 of 5246.)  But it doesn't look like there are a great deal of
such instances, so maybe it would still qualify ias "minor changes"?
There's certainly going to be no opposition to continuing to allow the use
of TLS 1.2 -- changing that would be too great a disruption to ongoing work
to be advisable.

Does that help?

-Ben

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Fri, 17 Aug 2018 04:09:10 +0000

> -----Original Message-----
> From: Dots <[email-masked]> On Behalf Of Benjamin Kaduk
> Sent: Friday, August 17, 2018 3:33 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Dots] DOTS: TLS 1.2 & TLS1.3
> 
> 
> 
> > Now that RFC8446 is out and given that it obsoletes RFC5246, we need your
> advice on how to proceed to (hopefully) avoid breaking existing
> implementations while still encouraging for TLS 1.3. FWIW, the current
> situation is as follows:
> >
> > Would it be OK if we maintain the current wording in the draft as it
> > with some minor changes? (that is, only update TLS1.3 ID to RFC8446,
> > remove reference to RFC5077, maintain RFC5246)
> 
> idnits (and thus the genart and probably other reviewers) will complain about
> references to an obsoleted document, so I would try to minimize the references
> to 5246 to just those that are actually specific to 1.2.  (For example, when
> talking about fatal alerts, use Section 6 of 8446 instead of Section 7.2 of 5246.)
> But it doesn't look like there are a great deal of such instances, so maybe it
> would still qualify ias "minor changes"?
> There's certainly going to be no opposition to continuing to allow the use of TLS
> 1.2 -- changing that would be too great a disruption to ongoing work to be
> advisable.
> 
> Does that help?

Yes, we will minimize the references to RFC5246 and retain the wording to mandate the use of (D)TLS 1.2 or later.

Cheers,
-Tiru

> 
> -Ben
> 
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots